## debhelper 10.2.2ubuntu1~ubuntu16.10.1

=== debian/changelog ===
debhelper (10.2.2ubuntu1~ubuntu16.10.1) yakkety-backports; urgency=medium

  * No-change backport to yakkety

 -- Iain Lane <iain@orangesquash.org.uk>  Fri, 11 Nov 2016 09:48:55 +0000
