=== debian/control ===
--- 
+++ 
@@ -1,12 +1,10 @@
 Source: debhelper
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debhelper Maintainers <debhelper-devel@lists.alioth.debian.org>
+Maintainer: Debhelper Maintainers <debhelper-devel@lists.alioth.debian.org>
 Uploaders: Niels Thykier <niels@thykier.net>,
            Bernhard R. Link <brlink@debian.org>
-Build-Depends: dpkg-dev (>= 1.18.0~),
-               perl:any,
+Build-Depends: perl:any,
                po4a (>= 0.24)
 Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/debhelper/debhelper.git
@@ -17,9 +15,9 @@
 Depends: autotools-dev,
          binutils,
          dh-autoreconf (>= 12~),
-         dh-strip-nondeterminism,
+         dh-strip-nondeterminism (>= 0.028~),
          dpkg (>= 1.16.2),
-         dpkg-dev (>= 1.18.2~),
+         dpkg-dev (>= 1.17.0),
          file (>= 3.23),
          libdpkg-perl (>= 1.17.14),
          man-db (>= 2.5.1-1),
