## debhelper 10.2.5

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Debhelper Maintainers <debhelper-devel@lists.alioth.debian.org>
 Uploaders: Niels Thykier <niels@thykier.net>,
            Bernhard R. Link <brlink@debian.org>
-Build-Depends: perl:any,
+Build-Depends: dpkg-dev (>= 1.18.0~),
+               perl:any,
                po4a (>= 0.24)
 Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/debhelper/debhelper.git
@@ -17,7 +18,7 @@
          dh-autoreconf (>= 12~),
          dh-strip-nondeterminism (>= 0.028~),
          dpkg (>= 1.16.2),
-         dpkg-dev (>= 1.17.0),
+         dpkg-dev (>= 1.18.2~),
          file (>= 3.23),
          libdpkg-perl (>= 1.17.14),
          man-db (>= 2.5.1-1),
