=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # nothing for debhelper and it keeps the set of B-D smaller)
 
 %:
-	./run dh $@ --no-parallel --without autoreconf
+	./run dh $@ --no-parallel --without autoreconf --with build-stamp
 
 # Disable as they are unneeded (and we can then be sure debhelper
 # builds without needing autotools-dev, dh-strip-nondetermism etc.)
