=== debian/changelog ===
debhelper (10.7.2ubuntu2) artful; urgency=high

  * Define U_PARAMS correctly in dh_builddeb, and don't try to use it when it
    isn't defined.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 06 Aug 2017 10:13:33 -0500

debhelper (10.7.2ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - dh_installchangelogs: Do not install upstream changelog in compat
      level 7. This floods packages with huge upstream changelogs which
      are unnecessary on an installed system.
    - Restore maintainer ability to override ddeb compression
    - Generate ddebs from debhelper instead of pkg-create-dbgsym
      + Make debhelper Conflict/Replace pkg-create-dbgsym to force it off.
      + Mirror udeb code in dh_builddeb to allow us to alter file extension.
      + Set dbgsym Package-Type to ddeb to get correct debian/files output.
      + Depend on dpkg-dev (>= 1.18.23ubuntu3) so the above works correctly.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 06 Aug 2017 10:43:01 +0200

debhelper (10.7.2) unstable; urgency=medium

  * Dh_Lib: Fix inverted boolean logic that causes a
    compatibility rule to be ignored.  Thanks to Adrian Bunk,
    Andreas Beckmann, Markus Koschany and Emmanuel Bourg for
    reporting and analysing the issue.  (Closes: #870339)

 -- Niels Thykier <niels@thykier.net>  Tue, 01 Aug 2017 16:51:58 +0000

debhelper (10.7.1) unstable; urgency=medium

  * Dh_Lib: Fix doit's new call to ensure it does not call a shell
    (like the documentation promises).
  * dh: Ensure that we do not fork a shell for running a simple
    command.
  * autoconf: Revert expansion of ${var} variables passed to
    configure as several packages implicitly assume that are not
    expanded.  E.g. liblockfile relies on ${prefix} being
    unexpanded for DESTDIR to work.  Reopens: #813266

 -- Niels Thykier <niels@thykier.net>  Mon, 31 Jul 2017 19:00:45 +0000

debhelper (10.7) unstable; urgency=medium

  [ Niels Thykier ]
  * dh_usrlocal: Fix call to doit to avoid making it fork a shell.
  * autoconf.pm: Ditto.
  * cmake.pm: Ditto.
  * meson.pm: Ditto.
  * dh_installmodules: Ensure maintscripts are reproducible even with
    multiple kernel versions detected.
  * Apply patches from gregor herrmann to improve autopkgtests.
  * Dh_Lib: Introduce a print_and_complex_doit.
  * Buildsystem: Introduce a complex_doit_in_builddir, which is needed
    by gradle-debian-helper.
  * Dh_Lib: Fix bug in doit + doit_* that made them fork a shell in
    some cases.  For backwards compatibility, there is detection code
    that should make it warn for this case and retain bug-compatibility.
    This can cause a weird "Please specify the compatibility level in
    debian/compat" error if the tools have chdir to a different directory.
  * Dh_Lib: Support an optional hashref in doit + doit_* to enable some
    trivial operations in the child process (e.g. redirect stdout).
  * dh_installman: Avoid forking a shell where a simple subprocess call
    is sufficient.
  * Dh_Lib: Avoid forking 2 to 7 subprocesses for adding an autosnippet
    when helper tools use a subroutine rather then a sed snippet.
  * Dh_Lib: Extend autoscript to accept a hashref and use that for
    substituting into the snippet.  This variant (like the subroutine
    variant) avoids forking a lot of subprocesses and need not worry
    about a shell possibly interpreting metacharacters.
  * dh_installman: Pass "-l" to man when recoding the manpages.
  * dh_icons: Use hashref based autoscripts generation.
  * dh_installcatalogs: Ditto.
  * dh_installemacsen: Ditto.
  * dh_installmenu: Ditto.
  * dh_installmodules: Ditto.
  * dh_installwm: Ditto.
  * dh_installxfonts: Ditto.
  * dh_systemd_enable: Ditto.
  * dh_systemd_start: Ditto.
  * Dh_Lib: Reduce the use of shell and external commands for
    generating the final maintscripts.
  * Dh_Lib: Make getpackages without any arguments return all
    packages as the documentation promises it should.  Previously,
    it would hide packages not built (e.g. due to Build-Profiles).
  * Dh_Lib: Provide a better error message when getpackages() is called
    by a helper in the wrong directory.  Unfortunately, dh cannot rely
    on dh_testdir to do this as dh_testdir is called too late.
  * dh: optimize out the call to dh_testdir.  It is useless for
    printing a helpful error message when called by dh.
  * dh_installdocs: Apply patch from Sven Joachim to revert an
    incorrect regression "fix".  Thanks to Adrian Bunk for
    reporting the issue.  (Closes: #868649)
  * dh_installexamples: Ditto.
  * dh_installinfo: Ditto.
  * dh_installman: Ditto.
  * dh_gencontrol: Rewrite code that ensures that misc:Depends and
    misc:Pre-Depends are present to avoid relying external processes
    for this.
  * dh_builddeb: Let dpkg-deb choose the default compression level for
    dbgsym packages instead of using xz -1e.  The current default (xz -6)
    is likely to be a better default value for dbgsym packages.  Thanks to
    Adrian Bunk for the suggestion.  (Closes: #868674)
  * cmake.pm: Pass -DCMAKE_INSTALL_RUNSTATEDIR=/run to cmake in compat 11.
    Thanks to Felix Geyer for the suggestion.  (Closes: #869697)
  * cmake.pm: Avoid using the user specific cmake package registry.  Thanks
    to Christian Seiler and Felix Geyer.  (Closes: #868584)

  [ Colin Watson ]
  * Quote assignment to $recommended_compat in case it isn't a valid Perl
    version string (e.g. for Debian derivatives).  Fix typos that caused it
    not to be used correctly.  Use the /g flag so that all instances of the
    substitution variable are handled.  (Closes: #869780)

  [ Isaac Jurado ]
  * Make the autoconf buildsystem expand "${var}" values send to configure
    (e.g. pass --mandir=/usr/share/man instead of --mandir=${prefix}/share/man).
    (Closes: #813266)

 -- Niels Thykier <niels@thykier.net>  Sat, 29 Jul 2017 18:00:24 +0000

debhelper (10.6.4ubuntu1) artful; urgency=low


