=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: debhelper
 Section: devel
 Priority: optional
-Maintainer: Debhelper Maintainers <debhelper-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debhelper Maintainers <debhelper-devel@lists.alioth.debian.org>
 Uploaders: Niels Thykier <niels@thykier.net>,
            Bernhard R. Link <brlink@debian.org>
 Build-Depends: dpkg-dev (>= 1.18.0~),
                perl:any,
                po4a (>= 0.24)
 Standards-Version: 3.9.8
+Testsuite: autopkgtest-pkg-perl
 Vcs-Git: https://anonscm.debian.org/git/debhelper/debhelper.git
 Vcs-Browser: https://anonscm.debian.org/git/debhelper/debhelper.git
 
@@ -18,7 +20,7 @@
          dh-autoreconf (>= 12~),
          dh-strip-nondeterminism (>= 0.028~),
          dpkg (>= 1.16.2),
-         dpkg-dev (>= 1.18.2~),
+         dpkg-dev (>= 1.18.23ubuntu3),
          file (>= 3.23),
          libdpkg-perl (>= 1.17.14),
          man-db (>= 2.5.1-1),
@@ -26,7 +28,8 @@
          ${misc:Depends},
          ${perl:Depends}
 Breaks: dh-systemd (<< 1.38)
-Replaces: dh-systemd (<< 1.38)
+Replaces: dh-systemd (<< 1.38), pkg-create-dbgsym
+Conflicts: pkg-create-dbgsym
 Suggests: dh-make
 Multi-Arch: foreign
 Description: helper programs for debian/rules
