=== debian/rules ===
--- 
+++ 
@@ -6,12 +6,11 @@
 # to ensure that the commands and libraries in the source tree are used,
 # rather than the installed ones.
 #
-# We use --no-parallel because the test suite is not thread safe.
 # We disable autoreconf to avoid build-depending on it (it does
 # nothing for debhelper and it keeps the set of B-D smaller)
 
 %:
-	./run dh $@ --no-parallel --without autoreconf --with build-stamp
+	./run dh $@ --without autoreconf --with build-stamp
 
 # Disable as they are unneeded (and we can then be sure debhelper
 # builds without needing autotools-dev, dh-strip-nondetermism etc.)
