=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: debhelper
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debhelper Maintainers <debhelper-devel@lists.alioth.debian.org>
+Maintainer: Debhelper Maintainers <debhelper-devel@lists.alioth.debian.org>
 Uploaders: Niels Thykier <niels@thykier.net>,
            Bernhard R. Link <brlink@debian.org>
 Build-Depends: dpkg-dev (>= 1.18.0~),
@@ -20,7 +19,7 @@
          dh-autoreconf (>= 12~),
          dh-strip-nondeterminism (>= 0.028~),
          dpkg (>= 1.16.2),
-         dpkg-dev (>= 1.18.23ubuntu3),
+         dpkg-dev (>= 1.18.2~),
          file (>= 3.23),
          libdpkg-perl (>= 1.17.14),
          man-db (>= 2.5.1-1),
@@ -28,8 +27,7 @@
          ${misc:Depends},
          ${perl:Depends}
 Breaks: dh-systemd (<< 1.38)
-Replaces: dh-systemd (<< 1.38), pkg-create-dbgsym
-Conflicts: pkg-create-dbgsym
+Replaces: dh-systemd (<< 1.38)
 Suggests: dh-make
 Multi-Arch: foreign
 Description: helper programs for debian/rules
