## debhelper 11~bpo9+1

=== debian/changelog ===
debhelper (11~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Retained changes required for backports.
    * Dh_Lib: Disable R³ support as we need dpkg{,-dev} (>= 1.19.0.4)
      for that.
    * d/control: Remove the R³ field; debhelper in backports cannot
      be built without (fake)root.
    * d/control: Reset versioned (Build-)Depends on dpkg and dpkg-dev
      due to the above.

 -- Niels Thykier <niels@thykier.net>  Sun, 24 Dec 2017 07:55:49 +0000

debhelper (11) unstable; urgency=medium

  [ Niels Thykier ]
  * dh_installdeb: Do basic validation of rm_conffile and mv_conffile
    parameters in "maintscript" parameters in compat 10 and newer.
    In compat 12, this is an error.  Thanks to Andreas Beckmann for
    the suggestions.  (Closes: #882626)
  * dh_strip: Fix bug where the Build-Id field would not be properly
    filled when using --dbg-package.  Thanks to Paul Wise for finding
    and reporting the bug.  (Closes: #884152)
  * d/control: Bump Standards-Version to 4.1.2 - no changes required.
  * dh_installsystemd: Remove neutering of dh_installsystemd in compat
    levels prior to 11 now that compat 11 is stable.

  [ Chris Leick ]
  * debhelper.pod: Improve the wording of two parapraphs.

  [ Translations ]
  * Update Portuguese translation (Américo Monteiro)
    (Closes: #883635)
  * Update German translation (Chris Leick)  (Closes: #884205)

 -- Niels Thykier <niels@thykier.net>  Sat, 16 Dec 2017 15:41:17 +0000

debhelper (10.10.9~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Retained changes required for backports.
    * Dh_Lib: Disable R³ support as we need dpkg{,-dev} (>= 1.19.0.4)
      for that.
    * d/control: Remove the R³ field; debhelper in backports cannot
      be built without (fake)root.
    * d/control: Reset versioned (Build-)Depends on dpkg and dpkg-dev
      due to the above.

 -- Niels Thykier <niels@thykier.net>  Sat, 25 Nov 2017 10:37:29 +0000

debhelper (10.10.9) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * qmake.pm: Add missing import of generated_file.
  * meson.pm: Find typo of meson in the name of the cross config
    file.
  * qmake.pm: Push compiler information as ‘early’ flags to qmake, to
    make sure qmake calls the right compiler to get library paths.
  * qmake.pm: Add all possible settings to generated qmake-cross.conf.
    Now output of ‘qmake -query’ with and without using this file is
    identical. This makes cross-building Qt’s own modules possible.

  [ Niels Thykier ]
  * dh_missing: Permit a missing debian/tmp without failing in
    compat 11 when debian/tmp is an implicit source directory.
    Thanks to Christoph Biedl for reporting the bug.
    (Closes: #882083)
  * dh_missing: Improve the wording about "debian/not-installed".

 -- Niels Thykier <niels@thykier.net>  Sun, 19 Nov 2017 11:04:45 +0000

debhelper (10.10.8) unstable; urgency=medium

  [ Niels Thykier ]
  * Document that compat 11 is now in its open beta phase.
  * Dh_Getopt: Improve warning message when a package is excluded
    due to profiles or architecture restrictions.
  * dh_install: Properly allow patterns to be excluded without
    complaining about missing files.  (Closes: #881658)
  * qmake.pm: Ensure that the qmake cross-build config file
    survives until clean.

  [ Dmitry Shachnev ]
  * qmake.pm: Set QMAKE_LINK correctly for cross-builds.

 -- Niels Thykier <niels@thykier.net>  Wed, 15 Nov 2017 19:46:00 +0000

debhelper (10.10.7) unstable; urgency=medium

  * dh_strip: Fix a regression that caused debug symbols for
    executables to be discarded instead of included into
    debug packages.
  * Dh_Lib: Ensure that $dh{U_PARAMS} is always defined as a
    list.  Thanks to Adrian Bunk for the bug report.

 -- Niels Thykier <niels@thykier.net>  Sat, 11 Nov 2017 14:10:21 +0000

debhelper (10.10.6) unstable; urgency=medium

  [ Axel Beckert ]
  * Cleanup trailing whitespace in ancient debian/changelog entries and
    debian/rules.
  * Fix typo "belive" in debian/copyright and ancient debian/changelog
    entries.
  * Use HTTPS in debian/copyright format URL.

  [ Niels Thykier ]
  * Remove support for named compat levels.
  * dh_perl: Make dh_perl faster on packages with large doc
    directories by pruning the entire doc directory.
  * dh,dh_auto_*: Support skipping all of the dh_auto_* helpers if the
    package does not seem to have a build system (and there are no build
    system related options passed to dh).
  * Dh_Lib.pm: Define a (hardcoded) extension for dbgsym packages.
  * dh_gencontrol: Pass -DPackage-Type to dpkg-gencontrol when the
    package type for dbgsym is different than for regular deb packages.
  * dh_builddeb: Automatically handle renaming of dbgsym packages when
    the extension of the dbgsym packages are different than for regular
    deb packages.
  * dh_installsystemd,dh_systemd_start: Use "restart" instead of the
    "try-restart" action.  This ensures that newly added services are
    started the first time they are installed.  (Closes: #879727,
    LP: #1707880)
  * dh_install: Fix regression where it was no longer possible to
    exclude an entire pattern / source file.  Thanks to James Cowgill
    for the report.  (Closes: #814856, LP: #1554979)
  * dh_installsystemd: Permit missing explicitly requested file in
    package as long as another on being acted on ships it.
  * dh_installsystemd: Optimize the search for files installed in the
    tmpfiles.d directories to only look in the tmpfiles.d directories.
  * Add experimental support for building some packages for "TARGET"
    rather than "HOST" via the X-DH-Build-For-Type field.  The field
    is subject to removal and changes without notice.  The field is
    not considered by dpkg tooling and therefore you will still have
    to manually work around tools like dpkg-gencontrol (even when
    called via dh_gencontrol).
  * dh_makeshlibs: Ignore non-ELF files even if they are named ".so".

