=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: dpkg-dev (>= 1.18.0~),
                perl:any,
                po4a (>= 0.24)
-Standards-Version: 3.9.8
+Standards-Version: 4.1.2
 Testsuite: autopkgtest-pkg-perl
 Vcs-Git: https://anonscm.debian.org/git/debhelper/debhelper.git
 Vcs-Browser: https://anonscm.debian.org/git/debhelper/debhelper.git
@@ -18,7 +18,7 @@
          binutils,
          dh-autoreconf (>= 12~),
          dh-strip-nondeterminism (>= 0.028~),
-         dpkg (>= 1.16.2),
+         dpkg (>= 1.16.2~),
          dpkg-dev (>= 1.18.2~),
          file (>= 3.23),
          libdpkg-perl (>= 1.17.14),
@@ -28,7 +28,7 @@
          ${perl:Depends}
 Breaks: dh-systemd (<< 1.38)
 Replaces: dh-systemd (<< 1.38)
-Suggests: dh-make
+Suggests: dh-make, dwz
 Multi-Arch: foreign
 Description: helper programs for debian/rules
  A collection of programs that can be used in a debian/rules file to
@@ -40,7 +40,6 @@
 
 Package: dh-systemd
 Section: oldlibs
-Priority: extra
 Architecture: all
 Multi-Arch: foreign
 Depends: debhelper (>= 9.20160709),
