## debhelper 11.1.4ubuntu1~cloud0

=== Makefile ===
--- 
+++ 
@@ -69,7 +69,7 @@
 
 
 po4a-stamp:
-	po4a --previous -L UTF-8 man/po4a/po4a.cfg
+	$(PO4A) --previous -L UTF-8 man/po4a/po4a.cfg
 	touch $@
 
 translated-%-stamp: po4a-stamp
