=== debian/changelog ===
debhelper (11.1.4ubuntu1~cloud0) xenial-queens; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 05 Feb 2018 11:47:23 +0000

debhelper (11.1.4ubuntu1) bionic; urgency=medium

  * Merge with Debian unstable; remaining changes:
    - Generate ddebs from debhelper instead of pkg-create-dbgsym
      + Make debhelper Conflict/Replace pkg-create-dbgsym to force it off.
      + Set DBGSYM_PACKAGE_TYPE to ddeb to get correct debian/files output.
    - dh_installchangelogs: Do not install upstream changelog in compat
      level 7 and higher to avoid pointlessly bloating installed packages.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 02 Feb 2018 22:14:23 -0700

debhelper (11.1.4) unstable; urgency=medium

  * qmake.pm/qmake4.pm: Avoid global state in the build systems.
  * dh_makeshlibs: Fix --no-act, which could still cause writes
    to the shlibs file.  Thanks to Sven Joachim for reporting it.
    (Closes: #888974)
  * dh_installdocs: Discard auto-detected main doc package when
    passed -A/--all as it causes file-conflicts.
    (Closes: #886108, #888294)
  * Dh_Lib: Fix regression where "foo{bar}" would not be matched
    when the pattern was handled as a glob.  The bug was
    introduced in debhelper/10.6.  Thanks to Wouter Verhelst for
    finding the bug.  (Closes: #888251)
  * d/control: Update the Vcs-* fields to point to
    salsa.debian.org as a part of the migration from alioth.
  * d/control: Update maintainer address debhelper@packages.d.o
    as a part of the migration from alioth.  Any subscription
    to debhelper-devel@lists.alioth.debian.org should be
    replaced by a subscription in tracker.debian.org or
    salsa.debian.org.
  * d/control: Remove Bernhard R. Link from uploaders as he does
    not appear to be active in debhelper at the moment.  Thanks
    to Bernhard for his past contributions.
  * d/control: Bump (Build-)Dependency on dpkg to ensure that
    dpkg provides DEB_RULES_REQUIRES_ROOT and DEB_GAIN_ROOT_CMD
    as a part of its Rules-Requires-Root support.
  * Dh_Lib.pm: Rely on DEB_RULRES_REQUIRES_ROOT instead of the
    field to determine whether or not tools may "root-only"
    actions (such as chown'ing).
  * d/control: Bump dependency on dh-autoreconf to ensure that
    packages do not experience #887482.
  * makefile.pm: Ensure that command line arguments are passed
    deterministically to make when cross-compiling.

 -- Niels Thykier <niels@thykier.net>  Wed, 31 Jan 2018 21:36:13 +0000

debhelper (11.1.3ubuntu1) bionic; urgency=medium

  * Merge with Debian unstable; remaining changes:
    - Generate ddebs from debhelper instead of pkg-create-dbgsym
      + Make debhelper Conflict/Replace pkg-create-dbgsym to force it off.
      + Set DBGSYM_PACKAGE_TYPE to ddeb to get correct debian/files output.
    - dh_installchangelogs: Do not install upstream changelog in compat
      level 7 and higher to avoid pointlessly bloating installed packages.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 22 Jan 2018 11:19:26 -0700

debhelper (11.1.3) unstable; urgency=medium

  * autoscripts/*: Improve rollback handling of many scripts.
    Notably a lot of scripts failed to rerun the postinst parts
    on an "abort-upgrade".  (Closes: #446856)
  * debian/control: Add a Breaks on meson to ensure that we have
    meson (>= 0.40.0) as the meson build system uses --wrap-mode.
    This is mostly relevant for backports.
  * Dh_Lib.pm: When printing commands (e.g. for doit), also show
    changes to the environment (when done as a part of the
    command).
  * ninja.pm: Set LC_ALL=C.UTF-8 when calling ninja to avoid
    meson choking on UTF-8 characters when it embeds itself into
    e.g. the build or install.  (Closes: #873831)
  * dh: Remove the assumption that sequences will supply only
    "safe no-op" parameters to commands.  Thanks to Axel Beckert
    and Sascha Steinbiss for the report.  (Closes: #887727)

 -- Niels Thykier <niels@thykier.net>  Sat, 20 Jan 2018 18:26:06 +0000

debhelper (11.1.2ubuntu1) bionic; urgency=medium

  * Merge with Debian testing; remaining changes:
    - Generate ddebs from debhelper instead of pkg-create-dbgsym
      + Make debhelper Conflict/Replace pkg-create-dbgsym to force it off.
      + Set DBGSYM_PACKAGE_TYPE to ddeb to get correct debian/files output.
    - dh_installchangelogs: Do not install upstream changelog in compat
      level 7 and higher to avoid pointlessly bloating installed packages.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 16 Jan 2018 11:52:11 -0700

debhelper (11.1.2) unstable; urgency=medium

  * dh: Fix non-sense error about a missing "startpoint object
    method".

 -- Niels Thykier <niels@thykier.net>  Sun, 07 Jan 2018 21:31:40 +0000

debhelper (11.1.1) unstable; urgency=medium

  * dh: Fix an off-by-one in a compat check.  This fixes an
    internal error for compat 9 packages that requires dh to
    recurse into the debian/rules file.  Thanks to Helmut
    Grohne for reporting the bug.  (Closes: #886518)

 -- Niels Thykier <niels@thykier.net>  Sun, 07 Jan 2018 09:48:17 +0000

debhelper (11.1) unstable; urgency=medium

  [ Paul Tagliamonte ]
  * dh: Provide the DH_EXTRA_ADDONS environment as a method for
    e.g. derivatives to enable additional debhelper add-ons.
    It is *not* a replacement for the --with parameter (which
    package maintainers should still use).  (Closes: #570935)

  [ Hideki Yamane ]
  * Fix typo of unnecessary.  (Closes: #884574)

  [ Niels Thykier ]
  * dh_missing: Support wildcards in debian/not-installed.  Thanks
    to Maximiliano Curia for the suggestion.  (Closes: #884556)
  * dh_missing: Tweak handling of missing source directory and
    single binary packages.
  * dh_missing: Make --list-missing the default in compat 12.
    Thanks to Daniel Leidert and Christian Göttsche for the
    suggestions.  (Closes: #650129, #858834)
  * meson.pm: Set LC_ALL to C.UTF-8 when invoking meson and

