=== debian/control ===
--- 
+++ 
@@ -1,32 +1,45 @@
 Source: debhelper
 Section: devel
 Priority: optional
-Maintainer: Debhelper Maintainers <debhelper-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debhelper Maintainers <debhelper@packages.debian.org>
 Uploaders: Niels Thykier <niels@thykier.net>,
-           Bernhard R. Link <brlink@debian.org>
 Build-Depends: dpkg-dev (>= 1.18.0~),
                perl:any,
-               po4a (>= 0.24)
-Standards-Version: 4.1.2
+               po4a,
+Standards-Version: 4.1.3
 Testsuite: autopkgtest-pkg-perl
-Vcs-Git: https://anonscm.debian.org/git/debhelper/debhelper.git
-Vcs-Browser: https://anonscm.debian.org/git/debhelper/debhelper.git
+Vcs-Git: https://salsa.debian.org/debian/debhelper.git
+Vcs-Browser: https://salsa.debian.org/debian/debhelper
 
 Package: debhelper
 Architecture: all
 Depends: autotools-dev,
          binutils,
-         dh-autoreconf (>= 12~),
+# Version 12 is where dh-autoreconf supports --sourcedirectory.  Can be
+# relaxed if no packages rely on it.
+# Version 16 fixes #887482
+         dh-autoreconf (>= 16~),
+# Version constraint is to get a version of dh-strip-nondeterminism
+# without several bugs.  The constraint can be relaxed if an older
+# version is sufficient.
          dh-strip-nondeterminism (>= 0.028~),
+# Rules-Requires-Root support.  Otherwise it stops at 1.18.0/1.18.2 for dbgsym support.
          dpkg (>= 1.16.2~),
          dpkg-dev (>= 1.18.2~),
          file (>= 3.23),
          libdpkg-perl (>= 1.17.14),
-         man-db (>= 2.5.1-1),
+         man-db,
          po-debconf,
          ${misc:Depends},
          ${perl:Depends}
-Breaks: dh-systemd (<< 1.38)
+Breaks: dh-systemd (<< 1.38),
+# To ensure cmake understands -DCMAKE_INSTALL_RUNSTATEDIR=/run as used in compat 11
+# - Can be dropped (with the caveat that cmake packages may behave differently
+#   depending on the version of cmake).
+        cmake (<< 3.9~),
+# meson build system uses --wrap-mode, which requires meson (>= 0.40.0)
+        meson (<< 0.40.0~),
 Replaces: dh-systemd (<< 1.38)
 Suggests: dh-make, dwz
 Multi-Arch: foreign
